Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dtd.models
Class CMUniOp

    java.lang.Object
      |
      +--org.apache.xerces.impl.dtd.models.CMNode
            |
            +--org.apache.xerces.impl.dtd.models.CMUniOp

public class CMUniOp
extends CMNode

Content model Uni-Op node.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: CMUniOp.java 572057 2007-09-02 18:03:20Z mrglavas $

Constructor Summary
`CMUniOp(int type, CMNode childNode)`

Method Summary
`protected void` | `calcFirstPos(CMStateSet toSet)`
`protected void` | `calcLastPos(CMStateSet toSet)`
`boolean` | `isNullable()`

Methods inherited from class org.apache.xerces.impl.dtd.models.CMNode
`firstPos, isCompactedForUPA, lastPos, setIsCompactUPAModel, setMaxStates, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMUniOp

    public CMUniOp(int type,
                   CMNode childNode)

Method Detail

### isNullable

    public boolean isNullable()

  Overrides:
    `isNullable` in class `CMNode`

### calcFirstPos

    protected void calcFirstPos(CMStateSet toSet)

  Overrides:
    `calcFirstPos` in class `CMNode`

### calcLastPos

    protected void calcLastPos(CMStateSet toSet)

  Overrides:
    `calcLastPos` in class `CMNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.